summaryrefslogtreecommitdiff
path: root/source4/librpc/scripts/build_idl.sh
diff options
context:
space:
mode:
authorJelmer Vernooij <jelmer@samba.org>2008-10-15 01:15:58 +0200
committerJelmer Vernooij <jelmer@samba.org>2008-10-15 01:15:58 +0200
commit7f24027e024bc56cb95b76ee0f9838d609e903cb (patch)
tree83980e3411e40dc56146f0b9165ff0b8e99f36d0 /source4/librpc/scripts/build_idl.sh
parent98a6b91da57ba71a0fe971cb24b1647d5f0062e8 (diff)
downloadsamba-7f24027e024bc56cb95b76ee0f9838d609e903cb.tar.gz
samba-7f24027e024bc56cb95b76ee0f9838d609e903cb.tar.bz2
samba-7f24027e024bc56cb95b76ee0f9838d609e903cb.zip
Allow specifying the exact IDL files to build.
Diffstat (limited to 'source4/librpc/scripts/build_idl.sh')
-rwxr-xr-xsource4/librpc/scripts/build_idl.sh13
1 files changed, 6 insertions, 7 deletions
diff --git a/source4/librpc/scripts/build_idl.sh b/source4/librpc/scripts/build_idl.sh
index 8aa93942b9..a655931c02 100755
--- a/source4/librpc/scripts/build_idl.sh
+++ b/source4/librpc/scripts/build_idl.sh
@@ -1,24 +1,23 @@
#!/bin/sh
FULLBUILD=$1
-IDLDIR=$2
-OUTDIR=$3
-shift 3
-PIDL_EXTRA_ARGS="$*"
+OUTDIR=$2
+shift 2
+IDL_FILES="$*"
[ -d $OUTDIR ] || mkdir -p $OUTDIR || exit 1
-PIDL="$PIDL --outputdir $OUTDIR --header --ndr-parser --server --client --swig --python --dcom-proxy --com-header -- $PIDL_EXTRA_ARGS"
+PIDL="$PIDL --outputdir $OUTDIR --header --ndr-parser --server --client --swig --python --dcom-proxy --com-header -- $IDL_FILES"
if [ x$FULLBUILD = xFULL ]; then
echo Rebuilding all idl files in $IDLDIR
- $PIDL $IDLDIR/*.idl || exit 1
+ $PIDL $IDL_FILES || exit 1
exit 0
fi
list=""
-for f in $IDLDIR/*.idl ; do
+for f in $IDL_FILES ; do
basename=`basename $f .idl`
ndr="$OUTDIR/ndr_$basename.c"
# blergh - most shells don't have the -nt function